/*
 * JPA entity PK template
 */

package de.ivu.elect.business.datei.entity;

@javax.enterprise.inject.Vetoed
public class DateiExportPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<DateiExportPK> {

  private static final long serialVersionUID = 0L;

  public DateiExportPK() {
    super();
  }

  public DateiExportPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "DateiExportPK:"+getId();
  }

  @Override
  public int compareTo(DateiExportPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
